## mauikit-filebrowsing 4.0.2

=== debian/changelog ===
mauikit-filebrowsing (4.0.2-0zneon+24.04+noble+release+build11) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 01:01:36 +0000

mauikit-filebrowsing (4.0.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 29 May 2025 09:51:37 +0000

mauikit-filebrowsing (4.0.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 09:50:10 +0000

mauikit-filebrowsing (4.0.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 25 May 2023 09:50:06 +0000

mauikit-filebrowsing (3.1.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 09:50:05 +0000

mauikit-filebrowsing (3.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 02 Dec 2023 09:50:09 +0000

mauikit-filebrowsing (3.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 25 May 2023 09:50:06 +0000

mauikit-filebrowsing (2.2.2) unstable; urgency=medium

  * Initial release

 -- Jonathan Riddell <jr@jriddell.org>  Tue, 04 May 2020 19:57:31 +0000
