=== debian/control ===
Source: mauikit-filebrowsing
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               mauikit-dev,
               mauiman-dev,
               ninja-build,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Homepage: https://mauikit.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/mauikit-filebrowsing.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/mauikit-filebrowsing
Maintainer: Neon CI <neon@kde.org>

Package: qml6-module-org-mauikit-filebrowsing
Architecture: any
Depends: libmauikit,
         libmauikitfilebrowsing4,
         qml6-module-org-kde-kirigami2,
         qml6-module-org-maui-mauikit,
         qml6-module-qt-labs-settings,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-shapes,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qml-module-org-mauikit-filebrowsing (<< 4.0.0)
Replaces: qml-module-org-mauikit-filebrowsing (<< 4.0.0)
Description: MauiKit File Browsing utilities and controls
 MauiKit File Browsing controls and utils.
 This package contains the mauikit filebrowsing qml module.

Package: libmauikitfilebrowsing4
Architecture: any
Depends: qml6-module-org-mauikit-filebrowsing,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libmauikitfilebrowsing3 (<< 4.0.0)
Replaces: libmauikitfilebrowsing3 (<< 4.0.0)
Description: MauiKit File Browsing utilities and controls
 MauiKit File Browsing controls and utils.
 This package contains the mauikit filebrowsing library.

Package: libmauikitfilebrowsing-dev
Architecture: any
Depends: libmauikitfilebrowsing4,
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: MauiKit File Browsing utilities and controls
 MauiKit File Browsing controls and utils.
 .
 This package contains mauikit filebrowsing development files.

Package: libmauikitfilebrowsing3
Architecture: all
Depends: libmauikitfilebrowsing4, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml-module-org-mauikit-filebrowsing
Architecture: all
Depends: qml6-module-org-mauikit-filebrowsing, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
