=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=qt6

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
	-DBUILD_WITH_QT6=ON

#override_dh_auto_configure:
#	dh_auto_configure -- -DCMAKE_POSITION_INDEPENDENT_CODE=ON
