## mauikit-filebrowsing 4.0.2+p24.04+vstable+git20260105.0937

=== debian/changelog ===
mauikit-filebrowsing (4.0.2+p24.04+vstable+git20260105.0937-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 09:37:48 +0000
