## mauikit-filebrowsing 4.0.2+p24.04+vstable+git20260107.0802

=== debian/changelog ===
mauikit-filebrowsing (4.0.2+p24.04+vstable+git20260107.0802-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 08:02:23 +0000
