## mauikit-filebrowsing 4.0.2+p24.04+vstable+git20260122.0544

=== debian/changelog ===
mauikit-filebrowsing (4.0.2+p24.04+vstable+git20260122.0544-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 05:44:32 +0000
