## mauikit-filebrowsing 4.0.2+p24.04+vstable+git20260130.0943

=== debian/changelog ===
mauikit-filebrowsing (4.0.2+p24.04+vstable+git20260130.0943-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:43:15 +0000
