=== debian/control ===
--- 
+++ 
@@ -49,7 +49,7 @@
 
 Package: libmauikitfilebrowsing-dev
 Architecture: any
-Depends: libmauikitfilebrowsing4,
+Depends: libmauikitfilebrowsing4 (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
          ${shlibs:Depends}
