## mauikit-filebrowsing 4.0.2+p24.04+vunstable+git20260205.0759

=== debian/changelog ===
mauikit-filebrowsing (4.0.2+p24.04+vunstable+git20260205.0759-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:59:33 +0000
